package com.symbol.elearningapp.service;



import java.util.List;

import retrofit2.Call;
import retrofit2.http.Body;
import retrofit2.http.DELETE;
import retrofit2.http.GET;
import retrofit2.http.POST;
import retrofit2.http.PUT;
import retrofit2.http.Path;
import retrofit2.http.Query;
import retrofit2.http.Url;


public interface ServiceApi {

    @POST("/login")
    Call<String> login(@Body User  body);

    @GET("/class")
    Call<List<ClassDetail>> classDetails();

    @POST("/class")
    Call<ClassDetail> addClassDetail(@Body ClassDetail  body);

    @PUT("/class")
    Call<String> updateUser(@Body ClassDetail  body);

    @DELETE("/class")
    Call<String> deleteUser(@Query("id") String id);

    @POST("/atd")
    Call<AttendanceDetail> addAttendance(@Body AttendanceDetail  body);

    @GET()
    Call<ChartData> getAttendance(@Url String url);

    @GET()
    Call<List<StudentDetails>> getStudents(@Url String url);



}
